No toolchains found in the NDK toolchains folder for ABI with prefix: mips64el-linux-android

Android AUmaWSsSoi 12个月前 (06-04) 129次浏览 0个评论
文章目录[隐藏]

问题:

这个问题最近碰到了很多次,估计是由于我的android studio升级到最新造成的,以前特意处理过这个问题,在/Users/xxx/Library/Android/sdk/ndk-bundle/toolchains目录下添加mips64el-linux-android类别的架构支持,这样编译就不会出现这个问题了,这几天从github上download了几个开源项目,纷纷报这个问题,让我很苦恼,最终找到了一个更好的解决办法。

解决办法:

说起来也很容易,在https://github.com/google/filament/issues/15这个issue中寻找到了合适的方案,升级gradle tools到3.1.4以上版本。

参考资料

https://github.com/google/filament/issues/15 这个issue描述的特别清楚,包括添加mips64el-linux-android的办法,以及将gradle tools升级到’com.android.tools.build:gradle:3.1.3’以上版本。


java问与答 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:http://javaexception.com/archives/116
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址